Bug 1789309 - Create host using compute_profile the 'image' field under 'OS' tab remain disabled and  host create failed as well
Summary: Create host using compute_profile the 'image' field under 'OS' tab remain dis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 10:23 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
9 users (show)

Fixed In Version: foreman-1.24.1.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28725 Normal Closed Create host using compute_profile the 'image' field under 'OS' tab remain disabled and host create failed as well 2020-04-03 13:35:33 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:44 UTC

Description vijsingh 2020-01-09 10:23:46 UTC
Description of problem:

Create host using compute_profile the 'image' field under 'OS' tab remain disabled and  host create failed as well

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 7.0

How reproducible:

Always

Steps to Reproduce:
1. Create CR using AzureRM.
2. Associate compute profile with created CR.
3. Now try to create a host(UI: hosts => Create Host) using this CR and CP .

Actual results:

 Under 'Operating system' tab unable to select 'Image' and it by default select any one and this field('Image') shows as disabled.
 hence after submit the create_host same failed with error 'undefined method start_with?'

Expected results:

 Should be able to select values under 'Image'

Additional info:
 
 Same has been observed for CR GCE and EC2 as well.

Comment 3 vijsingh 2020-01-09 10:27:29 UTC
Workaround : Select 'Image' first under 'Operating system' and then select CP during create_host.

Comment 4 Jitendra Yejare 2020-01-09 13:41:09 UTC
This bug is also affecting GCE CR, and Host provisioning fails completely.

Comment 6 Bryan Kearney 2020-01-23 15:03:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28725 has been resolved.

Comment 8 vijsingh 2020-02-26 10:57:06 UTC
@Satellite 6.7.0 snap 13.0

Verified on AzureRm CR :

 - Able to provision host using CP with using FT/UD.
 - Able to provision host using HG+CP and with HG using FT/UD

Comment 9 Lukáš Hellebrandt 2020-02-26 15:13:52 UTC
Verified with RHV, Libvirt, EC2. Can't verify with Rackspace due to lack of resources.

Comment 10 Lucie Vrtelova 2020-02-27 16:24:30 UTC
Verified with OSP.

Comment 11 Jitendra Yejare 2020-03-05 09:43:27 UTC
Sorry for being late here !!

Verified for GCE!

@Satellite 6.7 snap 14

Observation:
 - During host provisioning, Image selection under the OS tab is available and can switch between a list of images.
 - Provisioned with an image and the provisioning is successful.

Comment 14 errata-xmlrpc 2020-04-14 13:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.